package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.TipoDocAutobusDAO;
import com.rjconsultores.ventaboletos.entidad.TipoDocAutobus;
import com.rjconsultores.ventaboletos.service.TipoDocAutobusService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("tipoDocAutobusService")
public class TipoDocAutobusServiceImpl implements TipoDocAutobusService {

	@Autowired
	private TipoDocAutobusDAO tipoDocAutobusDAO;

	@Override
	public List<TipoDocAutobus> obtenerTodos() {
		return tipoDocAutobusDAO.obtenerTodos();
	}

	@Override
	public TipoDocAutobus obtenerID(Integer id) {
		return tipoDocAutobusDAO.obtenerID(id);
	}

	@Transactional
	public TipoDocAutobus suscribir(TipoDocAutobus entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return tipoDocAutobusDAO.suscribir(entidad);
	}

	@Transactional
	public TipoDocAutobus actualizacion(TipoDocAutobus entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return tipoDocAutobusDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(TipoDocAutobus entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		tipoDocAutobusDAO.actualizacion(entidad);
	}

}
